Skip to main content
`Ctrl`+`K`

# ISLOCALTOGLOBALMAPPINGBASIC

basic implementation of the `ISLocalToGlobalMapping` object. When `ISGlobalToLocalMappingApply()` is used this is good for only small and moderate size problems.

## Options Database Key

- -islocaltoglobalmapping_type basic - select this method

## Developer Note

This stores all the mapping information on each MPI rank.

## See Also

Low-level Vector Communication, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingSetType()`, `ISLOCALTOGLOBALMAPPINGHASH`

## Level

beginner

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages